RWCOMPARE(1)

NAME
rwcompare - Compare the records in two SiLK Flow files

SYNOPSIS
  rwcompare [--quiet] FILE1 FILE2

  rwcompare --help

  rwcompare --version

DESCRIPTION
rwcompare opens the two files named on the command and compares the SiLK Flow records they contain. If the records are identical, rwcompare exits with status 0. If any of the records differ, rwcompare prints a message and exits with status 1. If there is an issue reading either file, an error is printed and the exit status is 2. Use the --quiet switch to suppress all output (error messages included). You may use "-" or "stdin" for one of the file names, in which case rwcompare reads from the standard input.

OPTIONS
Option names may be abbreviated if the abbreviation is unique or is an exact match for an option. A parameter to an option may be specified as --arg=param or --arg param, though the first form is required for options that take optional parameters.

--quiet
    Do not print a message if the files differ, and do not an print error message if a file cannot be opened or read.

--help
    Print the available options and exit.

--version
    Print the version number and information about how SiLK was configured, then exit the application.

SEE ALSO
rwfileinfo(1)